Subject: Re: bug#21670: surprising bug in grep -e with anchors

From: Jim Meyering <[email-masked]>
Date: Mon, 12 Oct 2015 21:21:43 -0700

On Mon, Oct 12, 2015 at 9:28 AM, Jim Meyering <[email-masked]> wrote:
> On Sun, Oct 11, 2015 at 2:01 PM, greg boyd <[email-masked]> wrote:
>> This bug appears in GNU grep version 2.20. It is not present in the older
>> version I have installed on a home system (2.6.3.)
...
> The actual bug was introduced in v2.18-85-g2c94326,
> so first appeared in the grep-2.19 release. I will track down
> the commit that fixed it, add a test if required and update
> NEWS accordingly.

Thanks again.

Paul already added a test, so I've updated NEWS
with the missing info:

  http://git.sv.gnu.org/cgit/grep.git/commit/?id=93a6d6d7bd1d68